/*
 * Copyright (C) 2005-2009 Makoto Sato. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package jp.objectfanatics.assertion.weaver.api.exception.info;

//Checked 09.26.2009. Delete this line before release.
/**
 * Type information.
 * 
 * @author Makoto Sato
 */
public interface TypeInfo {
	
	/**
	 * Returns FQCN.
	 * 
	 * @return FQCN
	 */
	String getName();
	
	/**
	 * Returns simple name.
	 * 
	 * @return simple name
	 */
	String getSimpleName();
	
	/**
	 * Returns source file name.
	 * 
	 * @return source file name
	 */
	String getSourceFileName();
	
	/**
	 * Returns package name.
	 * 
	 * @return package name
	 * @throws PackageNotFoundException
	 *             if the package is not found (default package).
	 */
	String getPackageName() throws PackageNotFoundException;
	
	/**
	 * Signals that the package is not found (default package).
	 */
	static class PackageNotFoundException extends Exception {}
}
