/*
 * Copyright (C) 2005-2009 Makoto Sato. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package jp.objectfanatics.assertion.weaver.impl.constraint;

import jp.objectfanatics.assertion.constraints.Max;
import jp.objectfanatics.assertion.weaver.impl.core.ConstraintAnnotationAssertionWeaver;

/**
 * Implementation of {@link ConstraintAnnotationAssertionWeaver} for @{@link Max} annotation.
 * 
 * @author Makoto Sato
 */
public class MaxAssertionWeaver extends AbstractNumberComparingAssertionWeaver {
	private static final String COMPARATOR = ">";
	private static final String COMPARATIVE_WORD_FOR_NUMBER_OUT_OF_BOUNDS = "greater";
	public MaxAssertionWeaver() {
		super(Max.class, COMPARATOR, COMPARATIVE_WORD_FOR_NUMBER_OUT_OF_BOUNDS);
	}
}
